from django.db import models


class StoryOfADay(models.Model):
    day = models.DateField(verbose_name='Date', primary_key=True)
    links = models.IntegerField(verbose_name='Amount of links visited')
    files = models.IntegerField(verbose_name='Amount of files visited')

    # it's hashable and eq-able in order to belong to a set
    def __hash__(self):
        return hash(self.day)

    def __eq__(self, other):
        return self.day == other.day
